package com.realnet.angulardatatype.Services;
import com.realnet.angulardatatype.Repository.Adv5Repository;
import com.realnet.angulardatatype.Entity.Adv5
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


















	import org.springframework.stereotype.Service;

@Service
 public class Adv5Service {
@Autowired
private Adv5Repository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

















public Adv5 Savedata(Adv5 data) {


















	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Adv5 save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Adv5> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Adv5> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Adv5> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Adv5 getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Adv5 update(Adv5 data,Integer id) {
	Adv5 old = Repository.findById(id).get();
old.setName(data.getName());

old.setSupport(data.getSupport());

old.setAge(data.getAge());

old.setAge2(data.getAge2());

old.setAddition(data.getAddition());

old.setMultiplication(data.getMultiplication());





old.setChildform(data.getChildform());

final Adv5 test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


















 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
